%define enable_ff 1

%if %{enable_ff}
%define ff_flags --enable-mozilla
%else
%define ff_flags --disable-mozilla
%endif

Distribution:   CCux
Packager:	Christian Wasem <wasem@cux-linux.de>

Summary:	vlc is a multi-platform MPEG, DVD, and DivX player.
Name:		vlc 
Version:	1.1.9
Release:	1
License:	GNU/GPL
URL:		http://www.videolan.org
Group:		Multimedia
Source0:	%{name}-%{version}.tar.bz2
Source1:	%{name}.png
Source2:	%{name}.desktop
Source3:	FreeSerifBold.ttf
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# manually added dependencies
BuildRequires: libcroco-devel
BuildRequires: libgsf-devel
BuildRequires: libtasn1-devel
BuildRequires: libsmbios-devel
BuildRequires: ORBit2-devel
BuildRequires: libdc1394-devel
BuildRequires: faac-devel
BuildRequires: faad2-devel
BuildRequires: lame-devel
BuildRequires: libraw1394-devel
#uildRequires: wxGTK-devel
BuildRequires: xvidcore-devel
BuildRequires: svgalib-devel
BuildRequires: DirectFB-devel
BuildRequires: live-devel
BuildRequires: lash-devel
BuildRequires: libsamplerate-devel
BuildRequires: enca-devel
BuildRequires: libdca-devel
BuildRequires: libebml-devel
BuildRequires: libmatroska-devel
Requires:	ffmpeg >= 0.5

BuildRequires: libjpeg-devel

# vlc generates strange dependecies to previous
# versions installed so we need to remove them
# before compiling
#BuildConflicts:	vlc
#BuildConflicts: vlc-devel

#Automatically resolved build dependencies
BuildRequires: aalib-devel
BuildRequires: alsa-lib-devel
BuildRequires: atk-devel
BuildRequires: avahi-devel
BuildRequires: cairo-devel
BuildRequires: dbus-devel
BuildRequires: dbus-glib-devel
BuildRequires: ffmpeg-devel
BuildRequires: flac-devel
BuildRequires: fluidsynth-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: fribidi-devel
BuildRequires: GConf-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: gnome-vfs-devel
BuildRequires: gnutls-devel
BuildRequires: gtk2+-devel
BuildRequires: jack-audio-connection-kit-devel
BuildRequires: liba52-devel
BuildRequires: libass-devel
BuildRequires: libcddb-devel
BuildRequires: libcdio-devel
BuildRequires: libdvbpsi-devel
BuildRequires: libdvdnav-devel >= 4.1.4 
BuildRequires: libdvdnav >= 4.1.4
BuildRequires: libdvdread-devel >= 4.1.4
BuildRequires: libdvdread >= 4.1.4
BuildRequires: libgcc
BuildRequires: libgcrypt-devel
BuildRequires: libgpg-error-devel
BuildRequires: libICE-devel
BuildRequires: libmad-devel
BuildRequires: libmodplug-devel
BuildRequires: libmpcdec-devel
BuildRequires: libmpeg2-devel
BuildRequires: libmtp-devel
BuildRequires: libnotify-devel
BuildRequires: libogg-devel
BuildRequires: libpng-devel >= 1.4.3
BuildRequires: libproxy-devel
BuildRequires: librsvg-devel
BuildRequires: libshout-devel
BuildRequires: libSM-devel
BuildRequires: libstdc++-devel
BuildRequires: libtheora-devel
BuildRequires: libupnp-devel
BuildRequires: libusb-devel
BuildRequires: libv4l-devel
BuildRequires: libva-devel
BuildRequires: libvorbis-devel
BuildRequires: libX11-devel
BuildRequires: libxcb-devel
BuildRequires: libXext-devel
BuildRequires: libxml2-devel
BuildRequires: libXpm-devel
BuildRequires: libXt-devel
BuildRequires: lua-devel
BuildRequires: mesa-libGL-devel
BuildRequires: ncurses-devel
BuildRequires: nspr-devel
BuildRequires: orc-devel
BuildRequires: pango-devel
BuildRequires: pkg-config
BuildRequires: portaudio-devel
BuildRequires: pulseaudio-libs-devel
BuildRequires: qt4-devel
BuildRequires: samba-devel
BuildRequires: samba-common
BuildRequires: schroedinger-devel
BuildRequires: SDL-devel
BuildRequires: SDL_image-devel
BuildRequires: speex-devel
BuildRequires: sqlite-devel
BuildRequires: taglib-devel
BuildRequires: twolame-devel
BuildRequires: vcdimager-devel
BuildRequires: x264-devel
BuildRequires: xcb-util-devel
BuildRequires: xosd-devel
BuildRequires: xulrunner-devel
BuildRequires: zlib-devel

%description
VLC (initially VideoLAN Client) is a highly portable multimedia player for
various audio and video formats (MPEG-1, MPEG-2, MPEG-4, DivX, mp3, ogg, ...)
as well as DVDs, VCDs, and various streaming protocols.
For more details see: http://www.videolan.org

%package	devel
Summary:	%{name} development headers.
Group:		%{group}
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%if %{enable_ff}
%package	firefox-plugin
Summary:	%{name} firefox-plugin.
Group:		%{group}
Requires:	%{name} = %{version}-%{release}

%description	firefox-plugin
%{name} firefox-plugin.
%endif

%post
ldconfig

%postun
ldconfig

%prep
%setup -q -n %{name}-%{version}
 
%build
./configure \
--prefix=%_prefix \
--disable-dependency-tracking  \
--enable-live555 \
--enable-vlm \
--enable-sout \
--enable-freetype \
--enable-httpd \
--enable-gnutls \
--enable-v4l \
--enable-libcddb \
--enable-vcd \
--enable-vcdx \
--enable-xvideo \
--enable-a52 \
--enable-dvdread \
--enable-flac \
--enable-vorbis \
--enable-xvideo \
--enable-glx \
--enable-opengl \
--enable-fribidi \
--enable-aa \
--enable-oss \
--enable-alsa \
--enable-jack \
--enable-ncurses \
--enable-mad \
--enable-a52 \
--enable-libmpeg2 \
--enable-gnomevfs \
--enable-xosd \
--enable-theora \
--enable-sdl \
--enable-sdl-image \
--enable-png \
--enable-libxml2 \
--enable-svg \
--enable-dvb \
--enable-mod \
--enable-speex \
--enable-shout \
--enable-pvr \
--enable-dvdread \
--enable-dvdnav \
--enable-realrtsp \
--enable-loader \
--enable-skins2 \
--enable-bonjour \
--enable-optimize-memory \
--enable-notify \
--enable-mpc \
--disable-faad \
--disable-dv \
--disable-snapshot \
--disable-growl \
--disable-libtar \
--enable-smb \
--disable-dc1394 \
--enable-v4l \
%{ff_flags} 
				
make %_smp_mflags

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
sed -i "s#progdir=.*#progdir=%_libdir/vlc#" $RPM_BUILD_ROOT%_bindir/vlc
install -m 755 -d $RPM_BUILD_ROOT%_applications
install -m 755 -d $RPM_BUILD_ROOT%_pixmaps
install -m 755 -d $RPM_BUILD_ROOT%_datadir/vlc/fonts
install -m 644 %{SOURCE3} $RPM_BUILD_ROOT%_datadir/vlc/fonts/FreeSerifBold.ttf
cp %{SOURCE1} $RPM_BUILD_ROOT%_pixmaps
cp %{SOURCE2} $RPM_BUILD_ROOT%_applications
%if %{enable_ff}
mv %{buildroot}%_libdir/mozilla %{buildroot}%_libdir/firefox
%endif
# stripping package
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%{_bindir}/cvlc
%{_bindir}/nvlc
%{_bindir}/qvlc
%{_bindir}/rvlc
%{_bindir}/svlc
%{_bindir}/vlc
%{_bindir}/vlc-wrapper
%{_libdir}/libvlccore.so.*
%{_libdir}/libvlc.so.*
%{_libdir}/vlc/lua
%{_libdir}/vlc/plugins
%{_libdir}/vlc/vlc-cache-gen
%{_applications}/vlc.desktop
%{_docdir}/vlc/bugreport-howto.txt
%{_docdir}/vlc/fortunes.txt
%{_docdir}/vlc/intf-vcd.txt
%{_datadir}/kde4/apps/solid/actions/vlc-opencda.desktop
%{_datadir}/kde4/apps/solid/actions/vlc-opendvd.desktop
%{_datadir}/kde4/apps/solid/actions/vlc-openvcd.desktop
%{_datadir}/icons/hicolor/128x128/apps/vlc-christmas.png
%{_datadir}/icons/hicolor/128x128/apps/vlc.png
%{_datadir}/icons/hicolor/16x16/apps/vlc.png
%{_datadir}/icons/hicolor/16x16/apps/vlc.xpm
%{_datadir}/icons/hicolor/256x256/apps/vlc.png
%{_datadir}/icons/hicolor/32x32/apps/vlc-christmas.xpm
%{_datadir}/icons/hicolor/32x32/apps/vlc.png
%{_datadir}/icons/hicolor/32x32/apps/vlc.xpm
%{_datadir}/icons/hicolor/48x48/apps/vlc-christmas.png
%{_datadir}/icons/hicolor/48x48/apps/vlc.png
%{_locale}/*/LC_MESSAGES/vlc.mo
%{_mandir}/man1/vlc.1.gz
%{_mandir}/man1/vlc-config.1.gz
%{_mandir}/man1/vlc-wrapper.1.gz
%{_pixmaps}/vlc.png
%{_datadir}/vlc

%if %{enable_ff}
%files firefox-plugin
%defattr(-,root,root)
%{_libdir}/firefox/plugins/libvlcplugin.la
%{_libdir}/firefox/plugins/libvlcplugin.so
%endif

%files devel
%defattr(-,root,root)
%{_includedir}/vlc
%{_libdir}/libvlccore.la
%{_libdir}/libvlccore.so
%{_libdir}/libvlc.la
%{_libdir}/libvlc.so
%{_pkgconfig}/libvlc.pc
%{_pkgconfig}/vlc-plugin.pc

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Apr 29 2011 Karsten Brockmann <arcam@ccux-linux.de> 1.1.9-1
- version update
* Wed Mar 23 2011 Karsten Brockmann <arcam@ccux-linux.de> 1.1.6-1
- version update
* Sun Dec 19 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.1.5-3
- rebuilt against libva 1.0.6
* Sun Dec 19 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.1.5-2
- rebuilt against ffmpeg 0.6.1
* Thu Dec 02 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.1.5-1
- Version update
* Sat Aug 28 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.1.4-1
- Version update
* Sat Aug 21 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.1.3-1
- Version update
* Thu Jul 29 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.1.2-1
- Version update
* Thu Jul 22 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.1.1-2
- rebuilt against x264-20100722
* Wed Jul 21 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.1.1-1
- Version update
* Tue Jun 22 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.1.0-2
- regular release
* Wed May 26 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.1.0-1
- Version update
- rc 1
* Mon May 17 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.0.6-2
- rebuilt against libva 0.31.0sds13
* Fri Apr 23 2010 Christian Metzen <metzench@ccux-linux.de> 1.0.6-1
- Version update
* Wed Mar 10 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.0.5-2
- rebuilt against libx264 20100308-1
* Sun Jan 31 2010 Christian Metzen <metzench@ccux-linux.de> 1.0.5-1
- Version update
* Tue Jan 26 2010 Christian Metzen <metzench@ccux-linux.de> 1.0.4-2
- rebuild against latest ffmpeg and x264
* Sun Jan 03 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.0.4-1
- Version update
* Sat Oct 31 2009 Christian Metzen <metzench@ccux-linux.de> 1.0.3-1
- Version update
* Sat Sep 26 2009 Christian Wasem <wasem@ccux-linux.de> 1.0.2-2
- rebuild against libtheora-1.1.0
* Wed Sep 23 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.0.2-1
- Version update
* Tue Sep 22 2009 Christian Metzen <metzench@ccux-linux.de> 1.0.1-1
- Version update
* Fri Jul 10 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.0.0-2
- added v4l2 support
* Wed Jul 08 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.0.0-1
- Version update
* Sun Apr 19 2009 Christian Metzen <metzench@ccux-linux.de> 0.9.9-3
- rebuild against DirectFB-1.3.0
* Mon Apr 06 2009 Christian Metzen <metzench@ccux-linux.de> 0.9.9-2
- Version update 0.9.9a
* Mon Mar 30 2009 Christian Metzen <metzench@ccux-linux.de> 0.9.9-1
- Version update
* Wed Mar 25 2009 Christian Metzen <metzench@ccux-linux.de> 0.9.8-3
- disable x264 for now
* Wed Mar 04 2009 Christian Metzen <metzench@ccux-linux.de> 0.9.8-2
- rebuild against lua-5.1.4-1
* Sat Dec 13 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.9.8-1
- Version update. 0.9.8a
* Wed Nov 12 2008 Christian Metzen <metzench@ccux-linux.de> 0.9.5-2
- rebuild against libdvdread-4.3.1-1
* Sun Oct 26 2008 Christian Metzen <metzench@ccux-linux.de> 0.9.5-1
- Version update
* Wed Oct 08 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.9.4-1
- Version update
* Thu Oct 02 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.9.3-1
- Version update
* Mon Sep 15 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.9.2-1
- Version update
* Sat Jun 06 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.8.6h-1
- Version update
* Thu May 01 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.8.6f-4
- rebuilt against gnutls 2.2.2
* Sun Apr 13 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.8.6f-3
- temporarily disabled firefox-plugin
* Sat Apr 12 2008 Stefan Gottwald <gotti@ccux-linux.de> 0.8.6f-2
- moved firefox plugin to separate package
- rebuilt with internal ffmpeg to fix unrecognized xvid bug
* Sat Apr 05 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.8.6f-1
- Version update
* Sun Mar 08 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.8.6e-1
- Version update
* Sat Jan 05 2008 Stefan Gottwald <gotti@ccux-linux.de> 0.8.6d-3
- switched to SVN Revision 24084
* Fri Jan 04 2008 Stefan Gottwald <gotti@ccux-linux.de> 0.8.6d-2
- rebuild against new ffmpeg and x264
* Thu Nov 29 2007 Christian Metzen <metzench@ccux-linux.de> 0.8.6d-1
- Version update
* Sun Nov 04 2007 Christian Metzen <metzench@ccux-linux.de> 0.8.6c-3
- rebuild against x264-20071104
* Sun Oct 14 2007 Christian Metzen <metzench@ccux-linux.de> 0.8.6c-2
- rebuild against latest wxGTK
* Mon Jun 18 2007 Christian Metzen <metzench@ccux-linux.de> 0.8.6c-1
- Version update
* Thu Apr 19 2007 Christian Wasem <wasem@ccux-linux.de> 0.8.6b-1
- Version Update
* Tue Apr 17 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.8.6a-2
- rebuilt against libmpcdec 1.2.5
* Mon Jan 08 2007 Christian Metzen <metzench@ccux-linux.de> 0.8.6a-1
- Version update
* Wed Dec 27 2006 Stefan Gottwald <gotti@ccux-linux.de> 0.8.6-2
- rebuilt against new libcdio
* Tue Dec 19 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.8.6-1
- Version update
- refined BuildRequires list
* Fri Dec 01 2006 Christian Metzen <metzench@ccux-linux.de> 0.8.5-4
- rebuild against latest ffmpeg
* Fri Sep 29 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.8.5-3
- rebuilt against dbus 0.93
* Mon Sep 18 2006 Christian Metzen <metzench@ccux-linux.de> 0.8.5-2
- rebuilt against newest ffmpeg, default disabled x264 plugin
* Sun May 28 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.8.5-1
- Version update
* Thu Apr 27 2006 Christian Wasem <wasem@ccux-linux.de> 0.8.4a-2
- rebuilt against wxGTK-2.6.3
* Sun Dec 18 2005 Karsten Brockmann <arcam@ccux-linux.de> 0.8.4a-1
- Version Update, adjusted build requirements
* Tue Sep 27 2005 Christian Metzen <metzench@ccux-linux.de> 0.8.2-3
- rebuild against newest GTK
* Tue Jun 28 2005 Christian Wasem <wasem@ccux-linux.de> 0.8.2-2
- rebuild for wxGTK 2.6.1-3
* Sun Jun 26 2005 Christian Wasem <wasem@ccux-linux.de> 0.8.2-1
- update to Version 0.8.2
* Sat Jun 25 2005 Christian Wasem <wasem@ccux-linux.de> 0.8.1-7
- rebuild for wxGTK 2.6.1, adding more description
* Fri Jun 17 2005 Christian Metzen <metzench@ccux-linux.de> 0.8.1-6
- Recompilation against flac
* Fri Jun 17 2005 Stefan Gottwald <gotti@ccux-linux.de> 0.8.1-5
- Recompilation against flac
* Fri May 27 2005 Christian Metzen <metzench@ccux-linux.de> 0.8.1-4
- Recompilation against libcddb. libcdio, moved .desktop Location
* Mon Feb 06 2005 Christian Wasem <wasem@cux-linux.de> 0.8.1-3
- insert vcl-devel in Obsoletes-Tag
* Mon Feb 06 2005 Christian Wasem <wasem@cux-linux.de> 0.8.1-2
- fixed some problems with playing videofiles, development
- package has been removed, now included in main package.   
* Sun Feb 06 2005 Christian Wasem <wasem@cux-linux.de> 0.8.1-1
- update to version 0.8.1-1
